Suno
Extend Song
Continue an existing Suno song from a specified timestamp
Continue an existing song using music_id and continue_at, then poll the returned asynchronous task.
Authorization
BearerAuth
AuthorizationBearer <token>
使用 Bearer Token 认证:Authorization: Bearer sk-xxxxxx。
In: header
Request Body
application/json
custom?boolean
是否使用自定义歌词模式
prompt?string
自定义歌词
gpt_description_prompt?string
灵感描述
title?string
tags?string
negative_tags?string
style_weight?number
Range
0 <= value <= 1weirdness_constraint?number
Range
0 <= value <= 1audio_weight?number
Range
0 <= value <= 1duration?integer
Range
10 <= value <= 360auto_lyrics?boolean
vocal_gender?string
Value in
"Male" | "Female"persona_id?string
audio_format?string
Value in
"mp3" | "m4a" | "wav"hookUrl?string
任务完成回调地址
isStorage?booleanDeprecated
music_id*string
continue_at*number
Range
0 < valueResponse Body
application/json
application/json
curl -X POST "https://www.omwai.xyz/suno/submit/EXTEND" \ -H "Content-Type: application/json" \ -d '{ "music_id": "music_xxx", "continue_at": 120, "custom": true, "prompt": "[Verse 2] Continue the story" }'{
"code": "success",
"message": "success",
"data": "task_01J8ABCDEFGHIJKLMNOPQRST"
}{
"code": "invalid_request",
"message": "string"
}How is this guide?
Last updated on